using System;
using UnityEngine;

public class Bridge : TileBlock
{
	public Transform [] prefabs;
	
	public Bridge ( Transform [] argPrefabs, Vector3 argOrigin, int argWidth, int argDepth ) : base ( argOrigin, argWidth, argDepth )
	{
		prefabs = argPrefabs;
	}
	
	public void generate ()
	{
		for ( int z = 0; z < depth; z ++ )
		{
			for ( int x = 0; x < width; x ++ )
			{
				if ( x > depth - 1 - z && x < width - depth + z )
				{
					placeTile ( prefabs [ 0 ], x, z, Color.gray );
				}
			}
		}
	}
}

